// Persistence of Vision Ray Tracer Scene Description File
// File: infinitytext1.pov
// Vers: MegaPOV 0.7
// Desc: This file was generated for POV-Ray V3.1 by Moray V3.3 For Windows Copyright (c) 1993-2000 Lutz + Kretzschmar
//       Small animation demo for the use of 'Infinity Box' features with text. See also: InfinityBox.ini
//       Text generated with Elefont (Armanisoft)
// Date: 05/07/2001    (07.05.2001)
// Auth: Thomas de Groot



default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 100
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}
#version unofficial megapov 0.7;

background { color <1.000,0.500,0.000> }

camera {  //  Camera StdCam
  location  <    4.000,     -10.500,      1.000>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.35836,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         75.00000    // Vertical      30.000
  look_at   <      5.000,       0.000,       0.000>
}

//
// *******  L I G H T S *******
//

light_source {   // Light1
  <20.0, -30.0, 50.0>
  color rgb <1.000, 1.000, 1.000>
  translate  <0.0, -20.0, 20.0>
}


//
// ********  MATERIALS  *******
//

#declare Green_Vein_Pistachio_Plastic = 
   material  // Green_Vein_Pistachio_Plastic
   {   
      texture
      {      
         pigment
         {
            wood
            color_map
            {
               [ 0.0     rgbft <0.1686, 0.3219, 0.0639, 0.0, 0.0> ]
               [ 0.81    rgbft <0.1686, 0.3219, 0.0639, 0.0, 0.0> ]
               [ 0.81    rgbft <0.0283, 0.2406, 0.4457, 0.0, 0.0> ]
               [ 1.0     rgbft <0.3723, 0.7744, 0.0549, 0.0, 0.0> ]
            }
            turbulence 0.4
            ramp_wave
         }      
         normal
         {
            ripples , 0.0
         }      
         finish
         {
            ambient 0.7
            phong 1.0
         }
      }
   }

#declare Chrome_Metal_3 = 
      texture {      
         pigment {
            color rgb <0.0, 0.0, 0.0>
         }      
         finish {
            ambient 1.0
            diffuse 0.0
            brilliance 20.0
            phong 1.0
            phong_size 90.0
            specular 1.0
            roughness 0.001
            reflection 1.0
         }
      }


#declare Glass_1 = 
      texture {      
         pigment {
            color rgbft <1.0, 1.0, 1.0, 1.0, 1.0>
         }      
         finish {
            ambient 0.8
            diffuse 0.0
            phong 0.3
            phong_size 90.0
            reflection 0.0
         }
      }

#declare TdG_Wheat = // TdG_Wheat
      texture {      
         pigment {
            color rgb <0.847059, 0.847059, 0.74902>
         }
      }


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

#include "C:\VirtualReality\Data files\UDO files\infinity.inc"

#declare Armanisoft_0_Ref = object {
  Armanisoft_0
}
#declare Armanisoft_1_Ref = object {
  Armanisoft_1
}
#declare Armanisoft_2_Ref = object {
  Armanisoft_2
}
#declare Armanisoft_3_Ref = object {
  Armanisoft_3
}
#declare Armanisoft_4_Ref = object {
  Armanisoft_4
}
#declare Armanisoft_5_Ref = object {
  Armanisoft_5
}
#declare Armanisoft_6_Ref = object {
  Armanisoft_6
}
#declare Armanisoft_7_Ref = object {
  Armanisoft_7
}
union { // Elefont_group
  object { Armanisoft_0_Ref }
  object { Armanisoft_1_Ref }
  object { Armanisoft_2_Ref }
  object { Armanisoft_3_Ref }
  object { Armanisoft_4_Ref }
  object { Armanisoft_5_Ref }
  object { Armanisoft_6_Ref }
  object { Armanisoft_7_Ref }
  texture { Glass_1 }
  interior_texture { Chrome_Metal_3 }
  hollow
  scale <2.0, 2.5, 1.5>
  rotate 90.0*x
  translate  <0, 0.5, 0.15>
}


plane
{
  z, // <X Y Z> unit surface normal, vector points "away from surface"
  0 // distance from the origin in the direction of the surface normal
  texture { TdG_Wheat }
}

sphere { // Sphere001
  <0,0,0>,1.5
  material {
    Green_Vein_Pistachio_Plastic
  }
  scale 0.1
  rotate <0, -clock*360, 0>
  translate <-pi, 0, 1.5>
  translate <2*pi*clock, 0, 0>
}




